Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class BaseSelector

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.selectors.BaseSelector

All Implemented Interfaces:
  FileSelector

Direct Known Subclasses:
  BaseExtendSelector, BaseSelectorContainer, ExtendSelector, MappingSelector, PresentSelector

public abstract class BaseSelector
extends DataType
implements FileSelector

A convenience base class that you can subclass Selectors from. It provides some helpful common behaviour. Note that there is no need for Selectors to inherit from this class, it is only necessary that they implement FileSelector.

Since:
  1.5

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BaseSelector()` Do nothing constructor.

Method Summary
`java.lang.String` | `getError()` Returns any error messages that have been set.
`abstract boolean` | `isSelected(java.io.File basedir, java.lang.String filename, java.io.File file)` Method that each selector will implement to create their selection behaviour.
`void` | `setError(java.lang.String msg)` Allows all selectors to indicate a setup error.
`void` | `validate()` Subclasses can use this to throw the requisite exception in isSelected() in the case of an error condition.
`void` | `verifySettings()` Subclasses can override this method to provide checking of their state.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseSelector

    public BaseSelector()

  Do nothing constructor.

Method Detail

### setError

    public void setError(java.lang.String msg)

  Allows all selectors to indicate a setup error. Note that only the first error message is recorded.

  Parameters:
    `msg` - The error message any BuildException should throw.

### getError

    public java.lang.String getError()

  Returns any error messages that have been set.

  Returns:
    the error condition

### verifySettings

    public void verifySettings()

  Subclasses can override this method to provide checking of their state. So long as they call validate() from isSelected(), this will be called automatically (unless they override validate()).

  Implementations should check for incorrect settings and call setError() as necessary.

### validate

    public void validate()

  Subclasses can use this to throw the requisite exception in isSelected() in the case of an error condition.

### isSelected

    public abstract boolean isSelected(java.io.File basedir,
                                       java.lang.String filename,
                                       java.io.File file)

  Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

  Specified by:
    `isSelected` in interface `FileSelector`
  Parameters:
    `basedir` - A java.io.File object for the base directory
    `filename` - The name of the file to check
    `file` - A File object for this filename
  Returns:
    whether the file should be selected or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.